package xyz.leomurca.csgomatches.data.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class OpponentDto(
    val type: String?,
    val opponent: OpponentRecord
)

@Serializable
data class OpponentRecord(
    val id: Long,
    val name: String?,
    @SerialName("image_url")
    val imageUrl: String?
)

//{
//    "type": "Team",
//    "opponent": {
//        "id": 126694,
//        "name": "BIG Academy",
//        "location": "DE",
//        "slug": "big-academy",
//        "modified_at": "2025-07-17T10:49:15Z",
//        "acronym": "BIG.A",
//        "image_url": "https://cdn.pandascore.co/images/team/image/126694/big.png"
//    }
//}
